Skip to main content
POST
/
v1
/
document
/
pdf-protect
{
  "input": "https://example.com/document.pdf",
  "password": "secret123"
}
curl -X POST https://api.ringbee.dev/v1/document/pdf-protect \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@document.pdf" \
  -F "password=secret123"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/document.pdf",
  "password": "secret123"
}
curl -X POST https://api.ringbee.dev/v1/document/pdf-protect \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@document.pdf" \
  -F "password=secret123"
ParamTypeDescription
passwordstringPassword required to open the PDF

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

password
string

Password required to open the PDF

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"